> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the WhatsApp business profile

> Update profile fields on WhatsApp; the profile picture URL is resolved to a media handle server-side.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json patch /orgs/{org_id}/connections/{connection_id}/whatsapp/profile
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/connections/{connection_id}/whatsapp/profile:
    patch:
      tags:
        - Orgs Connections
      summary: Update the WhatsApp business profile
      description: >-
        Update profile fields on WhatsApp; the profile picture URL is resolved
        to a media handle server-side.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the connection
          name: connection_id
          in: path
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateWhatsAppBusinessProfileSchema'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UpdateWhatsAppBusinessProfileSchema'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhatsAppBusinessProfileSchema'
components:
  schemas:
    UpdateWhatsAppBusinessProfileSchema:
      type: object
      properties:
        phone_number_id:
          type: string
          minLength: 1
        about:
          type: string
          maxLength: 139
        address:
          type: string
          maxLength: 256
        description:
          type: string
          maxLength: 512
        email:
          type: string
          maxLength: 128
        vertical:
          type: string
          enum:
            - OTHER
            - AUTO
            - BEAUTY
            - APPAREL
            - EDU
            - ENTERTAIN
            - EVENT_PLAN
            - FINANCE
            - GROCERY
            - GOVT
            - HOTEL
            - HEALTH
            - NONPROFIT
            - PROF_SERVICES
            - RETAIL
            - TRAVEL
            - RESTAURANT
        websites:
          type: array
          items:
            type: string
            maxLength: 256
          maxItems: 2
        profile_picture_url:
          type: string
      required:
        - phone_number_id
    WhatsAppBusinessProfileSchema:
      type: object
      properties:
        about:
          type: string
        address:
          type: string
        description:
          type: string
        email:
          type: string
        profile_picture_url:
          type: string
        vertical:
          type: string
          enum:
            - UNDEFINED
            - NOT_A_BIZ
            - OTHER
            - AUTO
            - BEAUTY
            - APPAREL
            - EDU
            - ENTERTAIN
            - EVENT_PLAN
            - FINANCE
            - GROCERY
            - GOVT
            - HOTEL
            - HEALTH
            - NONPROFIT
            - PROF_SERVICES
            - RETAIL
            - TRAVEL
            - RESTAURANT
            - ALCOHOL
            - ONLINE_GAMBLING
            - PHYSICAL_GAMBLING
            - OTC_DRUGS
        websites:
          type: array
          items:
            type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````